Chinaunix首页 | 论坛 | 博客
  • 博客访问: 4864639
  • 博文数量: 983
  • 博客积分: 8199
  • 博客等级: 中将
  • 技术积分: 12857
  • 用 户 组: 普通用户
  • 注册时间: 2010-05-25 20:19
个人简介

脚踏实地、勇往直前!

文章分类

全部博文(983)

文章存档

2019年(73)

2018年(208)

2017年(81)

2016年(49)

2015年(50)

2014年(170)

2013年(52)

2012年(177)

2011年(93)

2010年(30)

分类: 系统运维

2012-09-12 19:54:00

环境:
OS:AIX 5.3.10
 
如何安装java
1.查看当前java的版本
[hxl/root]#java -version
java version "1.4.2"
Java(TM) 2 Runtime Environment, Standard Edition (build 1.4.2)
Classic VM (build 1.4.2, J2RE 1.4.2 IBM AIX build ca142-20080923 (SR12) (JIT enabled: jitc))
 
2.下载java6
下载地址
http://www.ibm.com/developerworks/java/jdk/aix/service.html
[hxl/root]#ls -1 Java6_64.sdk.6.0.0.375.tar
Java6_64.sdk.6.0.0.375.tar
 
3.加压缩tar包
[hxl/root]#tar -xvf Java6_64.sdk.6.0.0.375.tar
在当前目录会生成一个Java6_64.sdk文件,这个就是安装文件了.

[hxl/root]#ls -al Java6_64.sdk
-rwxr-xr-x    1 208      staff     160823296 Aug 22 04:31 Java6_64.sdk
 
4.使用smitty安装
* INPUT device / directory for software              /soft         --指定软件目录
* SOFTWARE to install                                Java6_64.sdk  --指定安装的软件
 ACCEPT new license agreements?                      yes           --选择YES
 
5.这个时候查看java还是旧的版本
[hxl/root]#java -version
java version "1.4.2"
Java(TM) 2 Runtime Environment, Standard Edition (build 1.4.2)
Classic VM (build 1.4.2, J2RE 1.4.2 IBM AIX build ca142-20080923 (SR12) (JIT enabled: jitc))

6.修改root用户的.profile文件添加如下内容
cd ~
vi .profile
JAVA_HOME=/usr/java6_64
JDK_HOME=$JAVA_HOME
PATH=$JAVA_HOME/bin:$PATH

7.重新登陆查看当前java的版本
[hxl/root]#java -version
java version "1.6.0"
Java(TM) SE Runtime Environment (build pap6460sr11-20120806_01(SR11))
IBM J9 VM (build 2.4, JRE 1.6.0 IBM J9 2.4 AIX ppc64-64 jvmap6460sr11-20120801_118201 (JIT enabled, AOT enabled)
J9VM - 20120801_118201
JIT  - r9_20120608_24176ifx1
GC   - 20120516_AA)
JCL  - 20120713_01
 
-- The End --
阅读(7687) | 评论(2) | 转发(1) |
0

上一篇:AIX5.3如何安装openssh

下一篇:AIX下安装Mysql

给主人留下些什么吧!~~

hxl2013-07-23 16:36:09

NotObject:你好,最近正在研究Aix下的Java开发,按照你给的安装步骤我安装了下,但是在第四步,出现了问题,提示的是安装文件不是有效的.. 我是从你给的网上下的下载的版本为Java6_64.sdk。 现在无法确定是什么问题,是不是系统不支持还是什么,希望能够解答下..十分感谢

报什么错误呢?

回复 | 举报

NotObject2013-07-03 21:39:15

你好,最近正在研究Aix下的Java开发,按照你给的安装步骤我安装了下,但是在第四步,出现了问题,提示的是安装文件不是有效的.. 我是从你给的网上下的下载的版本为Java6_64.sdk。 现在无法确定是什么问题,是不是系统不支持还是什么,希望能够解答下..十分感谢

评论热议
请登录后评论。

登录 注册